SchemaViolationException (Java SE 14 & JDK 14)
Description: declaration: module: java.naming, package: javax.naming.directory, class: SchemaViolationException
Keywords: javax.naming.directory.SchemaViolationException class

Module java.naming
Package javax.naming.directory

# Class SchemaViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.directory.SchemaViolationException

All Implemented Interfaces:
  `Serializable`

    public class SchemaViolationException
    extends NamingException

This exception is thrown when a method in some ways violates the schema. An example of schema violation is modifying attributes of an object that violates the object's schema definition. Another example is renaming or moving an object to a part of the namespace that violates the namespace's schema definition.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  `Context.bind(javax.naming.Name, java.lang.Object)`, `DirContext.bind(javax.naming.Name, java.lang.Object, javax.naming.directory.Attributes)`, `Context.rebind(javax.naming.Name, java.lang.Object)`, `DirContext.rebind(javax.naming.Name, java.lang.Object, javax.naming.directory.Attributes)`, `DirContext.createSubcontext(javax.naming.Name, javax.naming.directory.Attributes)`, `Context.createSubcontext(javax.naming.Name)`, `DirContext.modifyAttributes(javax.naming.Name, int, javax.naming.directory.Attributes)`, Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SchemaViolationException()` | Constructs a new instance of SchemaViolationException.
  `SchemaViolationException​(String explanation)` | Constructs a new instance of SchemaViolationException using the explanation supplied.

- ## Method Summary

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SchemaViolationException

    public SchemaViolationException()
    Constructs a new instance of SchemaViolationException. All fields are set to null.

  - ### SchemaViolationException

    public SchemaViolationException​(String explanation)
    Constructs a new instance of SchemaViolationException using the explanation supplied. All other fields are set to null.
    Parameters:
      `explanation` - Detail about this exception. Can be null.
    See Also:
      `Throwable.getMessage()`